#!/sbin/sh
#For APNs fix D2LTE Build ROMs
#Written by Moped_Ryder
#Update to handle universal lte builds
busybox mount -o remount,rw /system
cp /system/build.prop /system/build.prop-bak
if grep -q "ro.cdma.home.operator" "/system/build.prop"; then  
	sed -i 's/ro.cdma.home.operator.numeric.*$/ro.cdma.home.operator.numeric=311870/' /system/build.prop
	sed -i 's/ro.cdma.home.operator.alpha.*$/ro.cdma.home.operator.alpha=Boost Mobile/' /system/build.prop
	sed -i 's/ro.product.locale.region=.*$/ro.product.locale.region=US/' /system/build.prop
	sed -i 's/gsm.sim.operator.alpha.*$/gsm.sim.operator.alpha=Boost Mobile/' /system/build.prop
	sed -i 's/gsm.sim.operator.numeric.*$/gsm.sim.operator.numeric=311870/' /system/build.prop
	sed -i 's/gsm.operator.alpha.*$/gsm.operator.alpha=Boost Mobile/' /system/build.prop
	sed -i 's/gsm.operator.numeric.*$/gsm.operator.numeric=311870/' /system/build.prop
	sed -i 's/gsm.sim.operator.iso-country=.*$/gsm.sim.operator.iso-country =US/' /system/build.prop
	sed -i 's/gsm.operator.iso-country=.*$/gsm.operator.iso-country=US/' /system/build.prop
	sed -i 's/ro.telephony.default_network=.*$/ro.telephony.default_network=8/' /system/build.prop
else  
	echo "####Adding the Boost Mobile APN fixes####" >> /system/build.prop
	echo "ro.cdma.home.operator.numeric=311870" >> /system/build.prop
	echo "ro.cdma.home.operator.alpha=Boost Mobile" >> /system/build.prop
	echo "ro.telephony.default_network=8" >> /system/build.prop
	echo "telephony.slteOnCdmaDevice=1" >> /system/build.prop
	sed -i 's/ro.product.locale.region=.*$/ro.product.locale.region=US/' /system/build.prop
	sed -i 's/gsm.sim.operator.iso-country=.*$/gsm.sim.operator.iso-country =US/' /system/build.prop
	sed -i 's/gsm.operator.iso-country=.*$/gsm.operator.iso-country=US/' /system/build.prop
fi
if grep -q "moped_ryder" "/system/build.prop"; then
	echo "its there"
else
	echo "#moped_ryder carrier edit completed" >> /system/build.prop
fi




