::Modified
::Update, added CARRIER Fix
SET CARRIER=
SET ZIP=
SET fastboot=fastboot.exe
echo off
cls

cls
echo Please not that this script has not worked on certain ROMS
echo you may get an "Unknown ID: %%" Error while trying to backup partitions or enabling fastboot
echo If so then please exit and try another ROM 
pause

:devicecheck
cls
echo Make sure your device is connected before continuing
echo Press a key to continue...
pause > NUL
cls
adb devices
echo.
echo Is your devices listed? (y/n or yes/no)
SET /P ANSWER=
if /i {%ANSWER%}=={yes} (goto :carrierselect)
if /i {%ANSWER%}=={y} (goto :carrierselect)
if /i {%ANSWER%}=={no} (goto :devicecheck)
if /i {%ANSWER%}=={n} (goto :devicecheck)

GOTO devicecheck




:carrierselect
cls
echo Please select your carrier by inputing the number that identifies your carrier
echo This will be used by the script to flash the APN Fix automatically
echo.
echo 0 = Other or TextNow
echo 1 = Virgin
echo 2 = Boost
echo 3 = RingPlus
echo 4 = Sprint
echo.
SET /P CARRIER=

if /i {%CARRIER%}=={0} SET FIX=other
if /i {%CARRIER%}=={1} SET FIX=virgin
if /i {%CARRIER%}=={2} SET FIX=boost
if /i {%CARRIER%}=={3} SET FIX=ringplus
if /i {%CARRIER%}=={4} SET FIX=sprint

GOTO choose



:choose
cls
echo Do you want to backup the partitions before you continue?
echo This only works if you have an external sdcard (y/n or yes/no)
SET /P ANSWER=

if /i {%ANSWER%}=={yes} (goto :backup)
if /i {%ANSWER%}=={y} (goto :backup)
if /i {%ANSWER%}=={no} (goto :choose1)
if /i {%ANSWER%}=={n} (goto :choose1)
GOTO choose


:backup
echo Creating Folder for backup...
adb shell mkdir /storage/external_SD/Backup
echo Beginning of backup, all backups can be found at /storage/external_SD/Backup/
timeot 5 /NOBREAK > NUL
cls
echo Starting backup...
timeout 3 /NOBREAK > NUL
echo Backing Up "aboot"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/aboot of=/storage/external_SD/Backup/aboot.img

echo Backing Up "boot"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/boot of=/storage/external_SD/Backup/boot.img

echo Backing Up "fsg"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/fsg of=/storage/external_SD/Backup/fsg.img

echo Backing Up "modem"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/modem of=/storage/external_SD/Backup/modem.img

echo Backing Up "mpt"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/mpt of=/storage/external_SD/Backup/mpt.img

echo Backing Up "rpm"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/rpm of=/storage/external_SD/Backup/rpm.img

echo Backing Up "rpmb"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/rpmb of=/storage/external_SD/Backup/rpmb.img

echo Backing Up "sbl1"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/sbl1 of=/storage/external_SD/Backup/sbl1.img

echo Backing Up "sbl1b"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/sbl1b of=/storage/external_SD/Backup/sbl1b.img

echo Backing Up "recovery"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/recovery of=/storage/external_SD/Backup/recovery.img

echo Backing Up "tz"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/tz of=/storage/external_SD/Backup/tz.img

echo Backing Up "system"
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/system of=/storage/external_SD/Backup/system.img

echo Backup Finished

timeout 3 /NOBREAK > NUL
cls




:choose1
cls
echo Do you already have fastboot enabled? (y/n or yes/no)
SET /P ANSWER=

if /i {%ANSWER%}=={yes} (goto :instructions)
if /i {%ANSWER%}=={y} (goto :instructions)
if /i {%ANSWER%}=={no} (goto :ask)
if /i {%ANSWER%}=={n} (goto :ask)
GOTO choose1




:ask
cls
echo Fastboot must be enabled to continue, do you want to continue with zeroing out the laf partition and 
echo enabling fastboot?  This will take the place of download mode (y/n yes/no)
SET /P ANSWER=

if /i {%ANSWER%}=={yes} (goto :zero)
if /i {%ANSWER%}=={y} (goto :zero)
if /i {%ANSWER%}=={no} (goto :fault)
if /i {%ANSWER%}=={n} (goto :fault)

GOTO :ask


:zero
cls
adb shell mkdir /storage/external_SD/Backup
cls
echo Making laf backup so Download Mode can be restored
adb shell su -c dd if=/dev/block/platform/msm_sdcc.1/by-name/laf of=/storage/external_SD/Backup/laf.img






echo Press any button to continue with enabling fastboot...
pause > NUL
cls
echo Enabling fastboot...
adb shell su -c dd if=/dev/zero of=/dev/block/platform/msm_sdcc.1/by-name/laf
timeout 3 /NOBREAK > NUL
cls





:checkcarrier
cls
echo Checking...
if /i {%CARRIER%}=={0} (goto :instructions)
echo Setting up file for apn fix
adb shell mkdir /storage/external_SD/carrier
adb push %FIX%.zip /storage/external_SD/carrier



:instructions
echo The device will reboot in 10 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 9 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 8 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 7 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 6 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 5 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 4 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 3 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 2 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
echo The device will reboot in 1 seconds, hold the volume up button to activate fastboot 
echo while the phone boots up
timeout 1 /NOBREAK > NUL
cls
adb reboot

timeout 4 /NOBREAK > NUL
echo Flashing Partitions in a few seconds (DO NOT TOUCH ANYTHING)
timeout 7 /NOBREAK > NUL
%fastboot% flash aboot aboot.img
%fastboot% flash boot boot.img
%fastboot% flash fsg fsg.img
%fastboot% flash modem modem.img
%fastboot% flash rpm rpm.img
%fastboot% flash rpmb rpmb.img
%fastboot% flash sbl1 sbl1.img
%fastboot% flash sbl1b sbl1b.img
%fastboot% flash tz tz.img
%fastboot% flash recovery twrpvoltv2_bumped.img
%fastboot% flash system system.img
%fastboot% format cache
%fastboot% format userdata
timeout 3 /NOBREAK > NUL
cls





echo Done flashing partitions...
if /i {%CARRIER%}=={0} (goto :final)
if /i {%CARRIER%}=={1} (goto :virginfix)
if /i {%CARRIER%}=={2} (goto :boostfix)
if /i {%CARRIER%}=={3} (goto :ringplusfix)
if /i {%CARRIER%}=={4} (goto :sprintfix)




timeout 3 /NOBREAK > NUL
cls
echo Applying %FIX% APN Fix
fastboot boot recovery.img
timeout 15 /NOBREAK > NUL
echo.
echo Please swipe to confirm you want to make changed in TWRP, then press any key to continue with the APN Fix
pause > NUL
adb shell twrp install /storage/external_SD/carrier/%FIX%.zip

GOTO finish




:final
fastboot boot boot.img
timeout 3 /NOBREAK > NUL
cls
echo Please wait while the bootloader does it's final preparations
echo Then remove the device...
timeout 30 /NOBREAK > NUL
cls
echo Script completed, press any key to exit
pause > NUL
exit


:finish
cls
echo The APN Fix for %FIX% has been applied, device will now reboot
timeout 3 /NOBREAK > NUL 
adb reboot
timeout 3 /NOBREAK > NUL
echo Thanks for using this script! Modified by "scarlet-rooter"
timeout 5 /NOBREAK > NUL
exit


:fault 
cls
echo The script cannot continue...Please run script again...
timeout 7 /NOBREAK > NUL 
exit



:boostfix
timeout 3 /NOBREAK > NUL
cls
echo Applying boost APN Fix
fastboot boot recovery.img
timeout 20 /NOBREAK > NUL
echo.
echo Please swipe to confirm you want to make changed in TWRP, then press any key to continue with the APN Fix
pause > NUL
adb shell twrp install /storage/external_SD/carrier/boost.zip

GOTO finish





:virginfix

timeout 3 /NOBREAK > NUL
cls
echo Applying virgin APN Fix
fastboot boot recovery.img
timeout 15 /NOBREAK > NUL
echo.
echo Please swipe to confirm you want to make changed in TWRP, then press any key to continue with the APN Fix
pause > NUL
adb shell twrp install /storage/external_SD/carrier/virgin.zip

GOTO finish




:sprintfix

timeout 3 /NOBREAK > NUL
cls
echo Applying sprint APN Fix
fastboot boot recovery.img
timeout 15 /NOBREAK > NUL
echo.
echo Please swipe to confirm you want to make changed in TWRP, then press any key to continue with the APN Fix
pause > NUL
adb shell twrp install /storage/external_SD/carrier/sprint.zip

GOTO finish




:ringplusfix

timeout 3 /NOBREAK > NUL
cls
echo Applying ringplus APN Fix
fastboot boot recovery.img
cls
echo Please wait while the device boots into recovery, do not unplug the devie
echo.
timeout 30 /NOBREAK > NUL
adb shell twrp install /storage/external_SD/carrier/ringplus.zip

GOTO finish
